<?php

class faq extends cmsFrontend {
    
    public function actionIndex() {
        $this->model->orderBy('ordering', 'asc');
        $cats = $this->model->getFaqCats();
        $this->model->filterEqual('is_pub', 1);
        $faqs = $this->model->getFaqs();
        $this->cms_template->render('main', array(
            'faqs' => $faqs,
            'cats' => $cats,
            'is_admin' => $this->cms_user->is_admin
        ));        
    }
    
	public function actionAdd() {
		
		if(!$this->cms_user->is_admin){cmsCore::error404();}

		$form = $this->getForm('faq');
		$is_submitted = $this->request->get('submit');
		$faqs = $form->parse($this->request, $is_submitted);
		
		$errors = false;
		
		if($is_submitted){
			$errors = $form->validate($this, $faqs);
			if(!$errors) {
				$faq_id = $this->model->addFaq($faqs);
				if($faq_id) {
					cmsUser::addSessionMessage(LANG_FAQ_SUCCESS_ADD, 'success');
				} else {
					cmsUser::addSessionMessage(LANG_FAQ_ERROR_ADD, 'error');
				}
				$this->redirectToAction('index');
			}
			if($errors) {
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			}
		}

		$this->cms_template->render('faq', array(
			'form' => $form,
			'faqs' => $faqs,
			'errors' => $errors,
			'do' => 'add'
		));
	}
     
	public function actionEdit($id=FALSE) {

		if(!$this->cms_user->is_admin || !$id){cmsCore::error404();}
		
		$form = $this->getForm('faq');		
		$is_submitted = $this->request->get('submit');
		$faqs = $this->model->getItemById('faq', $id);
		$errors = false;
		if($is_submitted){
			$faqs = $form->parse($this->request, $is_submitted);
			$errors = $form->validate($this, $faqs);
			if(!$errors) {
				$faq_id = $this->model->editFaq($id, $faqs);
				if($faq_id) {
					cmsUser::addSessionMessage(LANG_FAQ_SUCCESS_UPD, 'success');
				} else {
					cmsUser::addSessionMessage(LANG_FAQ_ERROR_UPD, 'error');
				}
				$this->redirectToAction('index');			 
			}
			if($errors) {
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			}
		}

		$this->cms_template->render('faq', array(
			'form' => $form,
			'faqs' => $faqs,
			'errors' => $errors,
			'do' => 'edit'
		));

	}
     
	public function actionEditcat($id=FALSE) {
		
		if(!$this->cms_user->is_admin || !$id){cmsCore::error404();}
		
		$cats = $this->model->getItemById('faq_cats', $id);
		$form = $this->getForm('editcat');
		$is_submitted = $this->request->get('submit');		
		$errors = false;
		if($is_submitted){
			$cats = $form->parse($this->request, $is_submitted);
			$errors = $form->validate($this, $cats);
			if(!$errors) {
				$cat_id = $this->model->editFaqCat($id, $cats);
				if($cat_id) {
					cmsUser::addSessionMessage(LANG_FAQ_SUCCESS_UPDCAT, 'success');
				} else {
					cmsUser::addSessionMessage(LANG_FAQ_ERROR_UPDCAT, 'error');
				}
				$this->redirectToAction('index');			 
			}
			if($errors) {
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			}
		}
		
		$this->cms_template->render('editcat', array(
			'form' => $form,
			'cats' => $cats,
			'id' => $id,
			'errors' => $errors
		));
	}
	
	public function actionUpdate() {
		if(!$this->request->isAjax()){cmsCore::error404();}
		$id = $this->request->get('id', 0);
		$text = $this->request->get('text', '');
		if(!$id || !$text){
			$this->cms_template->renderJSON(array('error' => true));
		}
		$faq_id = $this->model->editFaq($id, array('text' => $text));
		if($faq_id){
			$this->cms_template->renderJSON(array('error' => false));
		} else {
			$this->cms_template->renderJSON(array('error' => true));
		}
		$this->cms_template->renderJSON(array('error' => false));
	}
    
}