<?php
	$this->addJS("templates/default/controllers/faq/js_faq.js"); 
	$this->addCSS("templates/default/controllers/faq/style_faq.css"); 
	$user = cmsUser::getInstance();
	$base_url = $this->controller->name;
	$this->setPageTitle(LANG_FAQ_CONTROLLER);
	$this->addBreadcrumb(LANG_FAQ_CONTROLLER, href_to($base_url));
	
	if($is_admin) {	
		$this->addToolButton(array(
			'class' => 'add',
			'title' => LANG_ADD,
			'href'  => href_to('faq/add')
		));		
		$this->addCSS('wysiwyg/redactor/css/redactor.css');
        $this->addJS('wysiwyg/redactor/js/redactor.js');
        $this->addJS('wysiwyg/redactor/js/video.js');
        $this->addJS('wysiwyg/redactor/js/fullscreen.js');
        $this->addJS('wysiwyg/redactor/js/fontsize.js');
        $this->addJS('wysiwyg/redactor/js/fontcolor.js');
        $this->addJS('wysiwyg/redactor/js/table.js');
        $this->addJS("wysiwyg/redactor/langs/ru.js");
	}
?>
<table border="0" CellSpacing="0" CellPadding="0">
	<tr>
		<td>
			<img src='/templates/default/controllers/faq/faq.gif' class='icon_faq'></td>
		<td>
			<h1 id="is_faq_title"><?php html(LANG_HELP) ?></h1>
			<div class="disc_faq"><?php html(LANG_FAQ_HINT); ?></div><br>
		</td>
	</tr>
</table>
	<?php if ($cats) { ?> 
		<?php foreach ($cats as $cat) { ?>
			<div class="faq_title"><?php html($cat['title']); ?>		
			<?php if($is_admin){ ?>
				<a class="ajax-modal" href="<?php echo $this->href_to('editcat', $cat['id']) ?>" title="<?php html(LANG_EDIT_CATEGORY); ?>">
				   <span id="edit_faq_cat"><?php html(LANG_EDIT) ?></span>
				   <img id="f_berger" src="/templates/default/controllers/faq/edit.png">
				</a>
			 <?php } ?>			
			</div>
			<?php if ($faqs){ ?>
				<?php foreach($faqs as $faq){ ?>
					<?php if($cat['id']== $faq['cat_id']){ ?>
						<div class="spoil" id="is_q_<?php html($faq['id']); ?>">
							<div class="sp_top">
								<span class="sp_span">
									<img src="/templates/default/controllers/faq/help.png">
									<?php if($is_admin){ ?>
										<a href="<?php echo $this->href_to('edit', $faq['id']) ?>">
									<?php } ?>
									<?php html($faq['title']); ?> 
									<?php if ($is_admin){ ?></a><?php } ?>
								</span>
								<button id="<?php html($faq['id']); ?>" class="sp_button">
									<span id="edit_faq_cat"><?php html(LANG_FAQ_OPEN); ?></span>
									<img id="f_berger" src="/templates/default/controllers/faq/burger.png">
								</button>
							</div>
							<div class="sp_text" id="<?php html($faq['id']); ?>">
								<?php echo($faq['text']); ?>
							</div>
						</div>
					<?php } ?>
				<?php } ?>
			<?php } ?>
		<?php } ?>
		<?php if($is_admin){ ?>
		<script>
			$(".sp_text").on( "click", function(){
				if($(this).hasClass('open_redactor')){
					return false;
				}else{
					$(this).addClass('open_redactor');
				}
				var id = $(this).attr('id');
				var text = $(this).html();
				var btn = '<input type="button" class="button-submit" value="OK" onClick="faq_save('+id+', this)">';
				var btn_cancel = '<input type="button" class="button-submit" value="X" onClick="faq_cancel('+id+')">';
				$(this).html('<textarea class="textarea" id="faq_text">'+text+'</textarea>'+btn+' '+btn_cancel);
				$(this).append('<div id="old_text" style="display:none">'+text+'</div>');
				$('#is_q_'+id+' #faq_text').redactor({
					lang: 'ru',
					plugins: ['video', 'fontfamily', 'fontsize', 'fontcolor', 'fullscreen'],
					imageUpload: '<?php echo href_to('redactor/upload'); ?>',
					buttonSource: true			
				});
			});    
		</script>
		<?php } ?>
	<?php } else { html(LANG_NO_ITEMS); } ?>

